
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>《Cisco IPv6网络实现技术（修订版）》一2.2　寻址 / iVAN</title>

    <meta name="description" content="《Cisco IPv6网络实现技术（修订版）》一2.2　寻址 2.2 寻址 Cisco IPv6网络实现技术(修订版) IPv6地址长度是IPv4地址长度的4倍.IPv6地址表示也是非常不同的.本节讲述IPv6地址新的表示法.语法和压缩格式. 2.2.1 IPv6地址表示 如RFC 2373&quot;IP版本6寻址结构&quot;中所定义,有3种格式表示IPv6地址.首选格式是最长的方法.由所有的32个十六进制字符组成一个IPv6地址.首选格式也可以看成是匹配计算机&quot;思维&quot;的表示法. 另一种方法是IPv6地址的压缩表示.为了简化人们的 ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">《Cisco IPv6网络实现技术（修订版）》一2.2　寻址</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<h3>2.2　寻址</h3>
<p>Cisco IPv6网络实现技术（修订版）<br />
IPv6地址长度是IPv4地址长度的4倍。IPv6地址表示也是非常不同的。本节讲述IPv6地址新的表示法、语法和压缩格式。</p>
<h3>2.2.1 IPv6地址表示</h3>
<p>如RFC 2373“IP版本6寻址结构”中所定义，有3种格式表示IPv6地址。首选格式是最长的方法。由所有的32个十六进制字符组成一个IPv6地址。首选格式也可以看成是匹配计算机“思维”的表示法。</p>
<p>另一种方法是IPv6地址的压缩表示。为了简化人们的IPv6地址输入，当IPv6地址中有0值时，压缩地址是可能的。 这意味着首选格式和压缩格式是同一个IPv6地址的不同表示，与IPv4相比，这是个新概念。</p>
<p>最后，第3种表示地址的方法与过渡机制有关，在这里IPv4地址内嵌在IPv6地址中。这种表示法没有首选格式和压缩格式重要，因为只有在使用特定的过渡机制时，它才是有用的，如使用自动IPv4兼容隧道和动态网络地址转换-协议转换（NAT-PT）时。自动IPv4兼容隧道和动态NAT-PT在第5章中详细讨论。</p>
<p>1．首选IPv6地址表示<br />
如图2-9所示，首选表示法也称为IPv6地址的完全形式，由一列以冒号（：）分开的8个16比特十六进制字段组成。每个16比特字段以文本表示为4个十六进制字符，意指每个16比特字段的值可以是0x0000到0xFFFF。十六进制中所用的表示数字的字符不区分大小写。</p>
<p>首选格式是一个IPv6地址的最长表示。在这种首选形式（8个字段，每个字段为4个十六进制字符）中共有32个十六进制字符。相比较而言，一个IPv4地址由以点（．）分开的4个8比特十进制字段组成，最多可能有12个十进制字符。</p>
<p><a href="https://yqfile.alicdn.com/9b69841c67c3f424ee199f87c08b4292bcde6754.png" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tLzliNjk4NDFjNjdjM2Y0MjRlZTE5OWY4N2MwOGI0MjkyYmNkZTY3NTQucG5n.jpg"></a></p>
<p>表2-2显示了首选格式的IPv6地址范例。</p>
<p><a href="https://yqfile.alicdn.com/4db15331969e290731b45d5451dd45b98c0f51a6.png" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tLzRkYjE1MzMxOTY5ZTI5MDczMWI0NWQ1NDUxZGQ0NWI5OGMwZjUxYTYucG5n.jpg"></a></p>
<p>2．压缩表示<br />
在IPv6中，常见到使用包含一长串0的地址。为了方便人们书写包含0比特的地址，在两种情况下—— IPv6地址的连续16比特字段为0和16比特字段中的前导0，使用一种特定语法压缩连续的0。</p>
<p>连续16比特字段为0</p>
<p>当一个或多个连续的16比特字段为0字符时，为了缩短IPv6地址的长度，用∷（两个冒号）表示这些字段的0是合法的。但是，IPv6地址中只允许一个∷，该方法使许多IPv6地址非常短。IPv6地址的压缩表示也意味着同一个地址可能有几种表示。</p>
<p>注：IPv6地址中有∷存在时，地址分析器能够确定所缺0的数目。然后，分析器在地址的两部分之间填充0字符直到地址长度为128比特。在压缩的IPv6地址中，如果存在多个∷，分析器就没有办法确定每个字段的0数目。因此，每个IPv6地址只允许一个∷。</p>
<p>表2-3显示了首选格式的IPv6地址经过压缩的例子，能够压缩的原因在于有一个或多个连续的16比特字段为0字符。首选格式地址中的黑体字符表示为了压缩地址被去掉的值。</p>
<p>地址FFFF:FFFF:FFFF:FFFF:FFFF:FFFF:FFFF:FFFF是一个地址实例，所有比特都为1。因此，该地址不能压缩。只有存在多个连续的16比特字段0字符时，才能使用∷的压缩格式。</p>
<p><a href="https://yqfile.alicdn.com/a7459265b678ea91b95447bb225f393e1b82e1d1.png" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tL2E3NDU5MjY1YjY3OGVhOTFiOTU0NDdiYjIyNWYzOTNlMWI4MmUxZDEucG5n.jpg"></a></p>
<p>表2-4列出了不合法的压缩地址例子。所给出的压缩地址多次使用∷，这是不合法的IPv6压缩地址表示。</p>
<p><a href="https://yqfile.alicdn.com/38db8d10e890dae905f85699e9f05b564ee6ae7c.png" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tLzM4ZGI4ZDEwZTg5MGRhZTkwNWY4NTY5OWU5ZjA1YjU2NGVlNmFlN2MucG5n.jpg"></a></p>
<p>IPv6地址中16比特字段的前导0</p>
<p>在IPv6地址中存在一个或多个前导0的16比特十六进制字段，第二种压缩地址的方法可应用于每个这样的字段。每个字段的前导0可以简单地去掉以缩短IPv6地址的长度。但是，如果16比特字段的每个十六进制字符都设为0，那么至少要保留一个0字符。表2-5给出了存在前导0时地址压缩的例子。在这些例子中，去掉了每个16比特字段的所有前导0，保留所有的后续值。首选格式地址中的黑体字符表示为了压缩地址要去掉的值。</p>
<p>结合两种压缩方法</p>
<p>压缩连续的0字符16比特字段和压缩16比特字段中的前导0能够结合起来，以缩短IPv6地址的长度。表2-6给出了同时应用这两种方法的例子。首选格式地址中的黑体字符表示为了压缩地址要去掉的值。</p>
<p><a href="https://yqfile.alicdn.com/3ea8b710a930630a86022268daadf1a14874e1a4.png" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tLzNlYThiNzEwYTkzMDYzMGE4NjAyMjI2OGRhYWRmMWExNDg3NGUxYTQucG5n.jpg"></a></p>
<p>3．内嵌IPv4地址的IPv6地址<br />
IPv6地址的第3种表示法是在IPv6地址中使用内嵌的IPv4地址。</p>
<p>IPv6地址的第一部分使用十六进制表示，而IPv4地址部分是十进制格式。这是过渡机制所用的IPv6地址特有的表示法。</p>
<p>注：在支持自动IPv4兼容隧道机制的实现中，地址的低32比特也可以用十六进制表示。这样，十进制值转换为十六进制。</p>
<p>注：正如本节开头所提到的，只有两种过渡机制使用这种IPv6地址形式。Cisco IOS软件技术支持使用这种格式的过渡机制，但是，由于考虑到更有效的机制，所以去掉了自动IPv4兼容隧道机制。然而，为了使称为动态NAT-PT的过渡机制正常运行，仍旧在IPv6地址中内嵌了一个IPv4地址。因此，用到了这种形式的地址。</p>
<p>图2-10给出了使用内嵌IPv4地址的IPv6地址格式。这种地址由两部分组成：6个高16比特十六进制值字段，以X字符表示，后跟4个低8比特十进制值字段（IPv4地址），以d字符表示（共32比特）。</p>
<p><a href="https://yqfile.alicdn.com/2e0ab3bf0f58e34a18a5a072e160f3c2aa2c37f8.png" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tLzJlMGFiM2JmMGY1OGUzNGExOGE1YTA3MmUxNjBmM2MyYWEyYzM3ZjgucG5n.jpg"></a></p>
<p>两种IPv6地址有内嵌的IPv4地址：</p>
<p>IPv4兼容的IPv6地址——用于在IPv4网络上建立自动隧道，以传输IPv6数据包。这种地址与IPv6协议的一种过渡机制有关。<br />
映射IPv4的IPv6地址——仅用于拥有IPv4和IPv6双协议栈节点的本地范围。节点仅在内部使用映射IPv4的IPv6地址。节点外部永远不会知道这些地址，不应作为IPv6地址出现在线路上。<br />
虽然上面两种方法都使用IPv6地址内嵌IPv4地址的相同地址表示法，但还是为每种内嵌的IPv4地址定义了不同的IPv6前缀。对于IPv4兼容的IPv6地址，其IPv6前缀表示为高96比特设为0，紧跟32比特的IPv4地址。对于映射IPv4的IPv6地址，其前缀表示为高80比特设为0，接着的16比特设为1，最后跟随32比特的本地节点IPv4地址。下一节详细讲述内嵌IPv4地址的IPv6地址格式。</p>
<p>表2-7给出了每种内嵌在IPv6地址内的IPv4地址例子，也说明了两种地址都能够表示为压缩格式。给出的第一个地址是IPv4兼容的IPv6地址，第二个是映射IPv4的IPv6地址。首选格式地址中的黑体字符表示为了压缩地址长度要去掉的值。</p>
<p><a href="https://yqfile.alicdn.com/2478bf98d1dc423758861ee7b41df161b3ee2bc1.png" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tLzI0NzhiZjk4ZDFkYzQyMzc1ODg2MWVlN2I0MWRmMTYxYjNlZTJiYzEucG5n.jpg"></a></p>
<p>注：虽然动态NAT-PT机制基于IPv4兼容的IPv6地址格式，但是没有使用这里所说的IPv6前缀。参见第5章以了解动态NAT-PT机制所用前缀的更多细节。</p>
<p>4．URL的IPv6地址表示<br />
在统一资源定位符（URL）格式中，冒号（∶）字符定义为指定可选的端口号。下面是用冒号字符指定端口号的URL例子:</p>
<p><a href="http://www.example.net:8080/index.html" rel="external nofollow noreferrer">www.example.net:8080/index.html</a></p>
<p><a href="https://www.example.com:8443/abc.html" rel="external nofollow noreferrer">https://www.example.com:8443/abc.html</a></p>
<p>在IPv6中，Internet浏览器的URL分析器必须能够区分端口号的冒号和IPv6地址中的冒号。但是，因为IPv6地址的压缩表示可能在IPv6地址的任何地方包含双冒号，所以做出如上的区分是不可能的。</p>
<p>因此，为了识别IPv6地址，同时还要为URL格式保留冒号（端口号），如RFC 2732“URL中的直观IPv6地址格式”所定义，IPv6地址必须由方括号括起。然后，在方括号后面可以加上端口号，接着是目录和文件名。下面是IPv6地址在方括号间的URL例子。</p>
<p><code>[3ffe:b80:c18:1::50]:8080/index.html https://[2001:410:0:1:250:fcee:e450:33ab]:8443/abc.html</code></p>
<p>但是，使用方括号中的IPv6地址通常仅用于诊断目的，或者用于不存在域名服务（DNS）时。因为IPv6地址比IPv4地址长，所以用户倾向于使用DNS和完全合格域名（FQDN）格式，而不是用十六进制表示的IPv6地址。</p>
<p>5．IPv6和划分子网<br />
在IPv4中，有两种方法表示一个网络前缀：</p>
<p>十进制表示法——网络掩码指定为d.d.d.d格式。网络掩码值表示二进制形式设为1的连续比特数。<br />
无类域间路由选择（CIDR）表示法——网络前缀掩码也可以指定为一个十进制数，表示二进制形式中设为1的连续比特数。在前缀和网络掩码值之间使用了斜线（/）字符。<br />
两种表示法意味着同样的节点网络掩码比特数。例如，网络掩码值为255.255.255.0的网络前缀192.168.1.0和CIDR表示法的192.168.1.0/24是相同的。该网络中节点的IP地址范围是从192.168.1.1到192.168.1.254。</p>
<p>在IPv6中，因为IPv6地址有新的长度，使用如d.d.d.d长形式的网络掩码表示法消失了。在IPv6中，表示网络掩码的唯一可接受形式是CIDR表示法。虽然IPv6地址是十六进制格式，但网络掩码值仍然是一个十进制值。表2-8给出了网络值为CIDR表示法的IPv6地址和网络前缀例子。</p>
<p><a href="https://yqfile.alicdn.com/67b719774407c754616b9aab4e746ec5e95bb416.png" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tLzY3YjcxOTc3NDQwN2M3NTQ2MTZiOWFhYjRlNzQ2ZWM1ZTk1YmI0MTYucG5n.jpg"></a></p>
<p>对于IPv4和IPv6，网络掩码中设为1的比特数确定网络前缀的长度，其余部分用于节点寻址。这是IP的基本信息，当数据包必须发往默认路由器或者同一个链路层子网上的特定节点时，该信息告知节点如何处理。</p>
<p>IPv6中的另一个不同之处是网络前缀范围内没有保留地址。在IPv4中，前缀范围内的第一个和最后一个地址是保留地址。前缀范围内的第一个地址是网络地址，最后一个是广播地址。这意味着一个范围内可用的IPv4地址总数等于2n-2，其中n是主机寻址的比特数。例如，给定网络前缀192.168.1.0/24，地址192.168.1.0和192.168.1.255是保留地址，从而不能指定给节点。在IPv4中，也常见到在一个位置范围内使用不同的网络掩码值。一个子网使用一个网络掩码值，下一个子网可以使用一个不同值。</p>
<p>IPv6没有广播或网络保留地址。而且，IPv6站点前缀（48比特）中节点寻址比特数是如此之大，以致于没有必要为在一个站点内使用不同的网络掩码值而制定寻址计划。因此，就不需要为每个子网计算网络掩码，也不需要使用变长子网掩码（VLSM）。在IPv6中，子网划分比IPv4中要简单得多。</p>
<h3>2.2.2 IPv6地址类型</h3>
<p>与表示法和子网划分无关，正如RFC 2373“IP版本6寻址结构”中所描述的，为IPv6定义了不同种类的地址。本节给出了协议中所定义的IPv6地址类型。在IPv6中，地址指定给网络接口，而不是节点。而且，每个端口同时拥有和使用多个IPv6地址。</p>
<p>如图2-11所示，地址的3种类型是单播、任意播和多播。在每种地址中有一种或多种类型的地址。单播有本地链路、本地站点、可聚合全球、回环、未指定和IPv4兼容地址。任意播有可聚合全球、本地站点和本地链路地址。多播有指定地址和请求节点地址。IPv6 128比特寻址模式的具体范围已经指定给了每种类型的地址。</p>
<p><a href="https://yqfile.alicdn.com/373ce1165559065b8a5cda6e3aa1efd7c3dbe5a4.png" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tLzM3M2NlMTE2NTU1OTA2NWI4YTVjZGE2ZTNhYTFlZmQ3YzNkYmU1YTQucG5n.jpg"></a></p>
<p>1．本地链路地址<br />
IPv6引入受限的单播地址，只能用在一个受到限制的范围内。单播本地链路地址有范围限制，只能在连接到同一本地链路的节点之间使用。在几个IPv6机制中用到了本地链路地址，如第3章详细讲述的邻居发现协议（NDP）。</p>
<p>当在一个节点上启用IPv6协议栈，启动时节点的每个接口自动配置一个本地链路地址。如图2-12所示，使用了IPv6本地链路前缀FE80::/10，同时扩展唯一标识符64（EUI-64）格式的接口标识符添加在后面作为地址的低64比特。比特11到比特64设为0（54比特）。本地链路地址只用于本地链路范围，不能在站点内的子网间路由。</p>
<p>注：IEEE定义了一种基于64比特的扩展唯一标识符——EUI-64。EUI-64格式是IEEE指定的公共24比特制造商标识和制造商为产品指定的40比特值的组合。EUI-64与接口链路层地址有关。本章提供了链路层地址转换为EUI-64格式的详细信息。</p>
<p><a href="https://yqfile.alicdn.com/b9d3e661b6af6e76ad2f32c1b7e1111b390a6a0a.png" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tL2I5ZDNlNjYxYjZhZjZlNzZhZDJmMzJjMWI3ZTExMTFiMzkwYTZhMGEucG5n.jpg"></a></p>
<p>因为本地链路地址的低64比特是接口标识符，本地链路前缀长度基于64比特长（/64）。如表 2-9 所示，本地链路地址表示为首选格式 FE80:0000:0000:0000:0000:0000: 0000:0000/10的IPv6前缀和压缩表示的FE80::/10。</p>
<p><a href="https://yqfile.alicdn.com/aadf60f171b849f6b1eb314350838766f83f2565.png" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tL2FhZGY2MGYxNzFiODQ5ZjZiMWViMzE0MzUwODM4NzY2ZjgzZjI1NjUucG5n.jpg"></a></p>
<p>1 这是同一地址的中间压缩表示。地址是有效的，但应该使用IPv6地址的缩短格式。</p>
<p>在IPv6中，一个有可聚合全球单播地址的节点在本地链路上，使用默认IPv6路由器的本地链路地址，而不使用路由器的可聚合全球单播地址。如果必须发生网络重新编址，即单播可聚合全球前缀更改为一个新的单播可聚合全球前缀，那么总能使用本地链路地址到达默认路由器。在网络重新编址过程中，节点和路由器的本地链路地址不会发生变化。第3章给出了在一条本地链路上前缀重新编址的例子。</p>
<p>2．本地站点地址<br />
本地站点地址是另一种单播受限地址，仅在一个站点内使用。本地站点地址在节点上不能像本地链路地址一样被默认启用，即必须指定。</p>
<p>本地站点地址与RFC 1918“私有Internet地址分配”所定义的IPv4私有地址空间类似，这些私有地址空间如10.0.0.0/8、172.16.0.0/12和192.168.0.0/16。任何没有接收到提供商所分配的可聚合全球单播IPv6地址空间的组织机构可以使用本地站点地址。一个本地站点前缀和地址可赋予站点内的任何节点和路由器。但是，本地站点地址不能在全球IPv6 Internet上路由。</p>
<p>注：虽然本地站点地址与IPv4私有地址类似，但在IPv6单协议网络之间，不希望使用IPv6网络地址转换（NAT）。IPv6地址空间中有巨大数量的IPv6地址，以保持IP协议的端到端模型的有效性。</p>
<p>如图2-13所示，本地站点地址由前缀FEC0::/10、称为子网标识的54比特字段和用作低64比特EUI-64格式的接口标识符所组成。</p>
<p><a href="https://yqfile.alicdn.com/75b312708f16e1d01ecea8aaba72dad2fe05ed08.png" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tLzc1YjMxMjcwOGYxNmUxZDAxZWNlYThhYWJhNzJkYWQyZmUwNWVkMDgucG5n.jpg"></a></p>
<p>54比特子网标识用于站点子网划分。该字段允许一个站点创建多达254个不同的IPv6子网（/64前缀）。每个子网能够使用不同的IPv6前缀。</p>
<p>注：本地站点地址原来的子网标识长度基于16比特，允许一个站点创建65 535个不同的IPv6子网。</p>
<p>例如，一个有10个子网的站点可以如下分配本地站点前缀：</p>
<p>子网1——FEC0:0:0:0001::/64<br />
子网2——FEC0:0:0:0002::/64<br />
子网3——FEC0:0:0:0003::/64<br />
子网4——FEC0:0:0:0004::/64<br />
子网5——FEC0:0:0:0005::/64<br />
子网6——FEC0:0:0:0006::/64<br />
子网7——FEC0:0:0:0007::/64<br />
子网8——FEC0:0:0:0008::/64<br />
子网9——FEC0:0:0:0009::/64<br />
子网10——FEC0:0:0:000A::/64<br />
如表2-10所示，本地站点地址表示为首选格式FEC0:0000:0000:0000:0000:0000:0000: 0000/10的IPv6前缀和压缩表示的FEC0::/10。</p>
<p><a href="https://yqfile.alicdn.com/d2a5732b68c5ab016a7d19f460d429cf462cfd47.png" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tL2QyYTU3MzJiNjhjNWFiMDE2YTdkMTlmNDYwZDQyOWNmNDYyY2ZkNDcucG5n.jpg"></a></p>
<p>1 这是同一地址的中间压缩表示。地址是有效的，但应该使用IPv6地址的缩短格式。</p>
<p>本地站点地址设计用于永远不会与全球IPv6 Internet通信的设备。本地站点地址在一个站点内可能有下列用途：</p>
<p>打印机<br />
内部网服务器<br />
网络交换机、网桥、网关、无线接入点等<br />
用于管理目的的仅内部可达的任何服务器和路由器<br />
如今，对于那些在其网络上有实施IPv6协议的计划，但还没有从提供商那里获得可聚合全球单播IPv6空间的组织，推荐使用本地站点地址。在网络重新编址的试验场景中，也推荐使用本地站点寻址。</p>
<p>特别要注意一个IPv6节点可以有几个单播IPv6地址，所以在使用可聚合全球单播地址的同时，能够使用本地站点地址。在这种情况下，DNS是仲裁者（即决定使用哪个地址）。而且，期望站点为本地站点和可聚合全球单播前缀使用相同的子网标识符。</p>
<p>3．可聚合全球单播地址<br />
可聚合全球单播地址是用于IPv6 Internet通常IPv6数据流量的IPv6地址。可聚合全球单播地址与IPv4 Internet上用于通信的单播地址类似。</p>
<p>可聚合全球单播地址代表IPv6寻址结构的最重要部分。可聚合全球单播结构使用严格的路由前缀聚合，以限制全球Internet路由选择表的大小。</p>
<p>每个可聚合全球单播IPv6地址有3部分：</p>
<p>从提供商那里接收到的前缀——如RFC 3177 “IAB/IESG关于IPv6站点地址分配的建议”所言，由提供商指定给一个组织机构（末端站点）的前缀应至少是/48前缀。/48前缀表示网络前缀的高48比特。而且，指定给组织机构的前缀是提供商前缀的一部分。</p>
<p>站点——利用提供商分配给组织机构的一个/48前缀，该组织机构就可能将网络分为多达65 535个子网（为子网指定64比特的前缀）。组织机构能够使用所收到前缀的49比特到64比特（16比特）来划分子网。<br />
主机——主机部分使用每个节点的接口标识符。IPv6地址的这部分表示地址的低64比特，称为接口标识符（接口ID）。<br />
如图2-14所示，前缀2001:0410:0110::/48是由提供商指定给组织机构的。进而，在该组织内部，在网络子网上使用前缀2001:0410:0110:0002::/64。最终，该子网上的一个节点拥有IPv6地址2001:0410:0110:0002:0200:CBCF:1234:4402。</p>
<p>这是提供商向末端站点指定可聚合全球单播前缀的一个简单例子。第7章提供了在多个站点、提供商和末端站点间分配可聚合全球单播地址的详细信息。</p>
<p>4．可聚合全球单播前缀的IANA分配<br />
IANA分配整个IPv6寻址空间中的一个IPv6地址前缀范围作为可聚合全球单播地址。如表2-11所示，这个可聚合全球单播地址空间用IPv6前缀2000::/3来表征。</p>
<p><a href="https://yqfile.alicdn.com/925200cd1d15a247cf8a5d82b81076fbffaaef62.png" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tLzkyNTIwMGNkMWQxNWEyNDdjZjhhNWQ4MmI4MTA3NmZiZmZhYWVmNjIucG5n.jpg"></a></p>
<p>从前缀2000::/3中取出3个较小前缀（/16）指定为公用。如表2-12所示，前缀2001::/16用于IPv6 Internet的运作。前缀2002::/16为使用6到4过渡机制的节点保留。3FFE::/16是用于6bone测试目的的前缀。</p>
<p><a href="https://yqfile.alicdn.com/2b460101114c221b4f01c34490eaaa2faee907c9.png" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tLzJiNDYwMTAxMTE0YzIyMWI0ZjAxYzM0NDkwZWFhYTJmYWVlOTA3YzkucG5n.jpg"></a></p>
<p>注意IANA仍然没有分配从2003::/16到3FFD::/16的前缀空间，即大约8192个前缀（/16）。在一个/16前缀中，能够容纳数十亿个IPv4 Internet。这是IPv6巨大寻址空间的一个例证。获得许多的IP地址对IPv6而言不是问题。</p>
<p>注：参见第5章，获得基于2002::/16前缀的6到4机制的详细信息。</p>
<p>5．多播地址<br />
多播是一种技术，即一个源节点发送单个数据包，同时到达多个目的地（一到多）。相对而言，单播是从一个源节点发送单个数据包到一个目的地（一到一）。</p>
<p>多播含有组的概念：</p>
<p>任何节点能够是一个多播组的成员<br />
一个源节点可以发送数据包到多播组<br />
多播组的所有成员收到发往该组的数据包<br />
多播的主要目标是通过优化节点间交换的数据包数量，从而使高效网络节省链路带宽。但是，网络上的节点和路由器必须使用特定范围内的IP地址，以获得多播的好处。在IPv4中，该范围是224.0.0.0/3，其中IPv4地址的高3比特设为111。</p>
<p>如表2-13所示，在IPv6中多播地址由IPv6前缀来定义，其首选格式为FF00:0000:0000: 0000:0000:0000:0000:0000/8，压缩表示为FF00::/8。</p>
<p><a href="https://yqfile.alicdn.com/b9a2193149f5b19f45ba3a2b7cff7cac845a0a72.png" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tL2I5YTIxOTMxNDlmNWIxOWY0NWJhM2EyYjdjZmY3Y2FjODQ1YTBhNzIucG5n.jpg"></a></p>
<p>1 这是同一地址的中间压缩表示。地址是有效的，但应该使用IPv6地址的缩短格式。</p>
<p>在IPv4中，存活时间（TTL）用来限制多播流量。IPv6多播没有TTL，因为在多播地址内定义了范围。</p>
<p>在协议机制中，IPv6多处用到多播地址，如IPv4中地址解析协议（ARP）的替代协议、前缀通告、重复地址检测（DAD）和前缀重新编址。所有这些机制在第3章详细讲述。</p>
<p>在IPv6中，本地链路上的所有节点监听多播，能够发送多播数据包以交换信息。因此，仅靠监听本地链路上的多播数据包，IPv6节点就能够知道所有的邻居节点和邻居路由器。就获得有关网络邻居的信息而言，这是不同于IPv4 ARP的技术。</p>
<p>在多播中，范围是一个必要的参数，由它限制发送多播数据包到网络的某个确定区或部分。</p>
<p>如图2-15所示，使用标志和范围共4比特字段，多播地址格式定义了地址的几种范围和类型。这些字段在前缀FF::/8之后。最后，多播地址的低112比特是多播组标识符（多播组ID）。</p>
<p><a href="https://yqfile.alicdn.com/13f6fd951035d92a8710115e49efe1fc52daab62.png" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tLzEzZjZmZDk1MTAzNWQ5MmE4NzEwMTE1ZTQ5ZWZlMWZjNTJkYWFiNjIucG5n.jpg"></a></p>
<p>标志字段指明多播地址类型。其中，两种多播地址定义为：</p>
<p>永久的——由IANA指定的一个地址<br />
临时的——没有被永久指定<br />
如表2-14所示，标志字段的高3比特是保留的并且必须用0值初始化。但是，其他比特指明多播地址类型。</p>
<p><a href="https://yqfile.alicdn.com/7a47ab56ab0d5226556d9cbf507f8e394de20504.png" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tLzdhNDdhYjU2YWIwZDUyMjY1NTZkOWNiZjUwN2Y4ZTM5NGRlMjA1MDQucG5n.jpg"></a></p>
<p>表2-16给出了不同范围的多播地址例子。FF02::/16是仅用于本地链路范围的永久地址。FF12::/16有一个类似的范围，但被认为是一个临时地址。FF05::/16是本地站点范围的一个永久地址。</p>
<p><a href="https://yqfile.alicdn.com/15780f9d2b3e0ae1d61649916085beacdf4c9e0b.png" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tLzE1NzgwZjlkMmIzZTBhZTFkNjE2NDk5MTYwODViZWFjZGY0YzllMGIucG5n.jpg"></a></p>
<p>注：当一个IPv6节点发送多播数据包到一个多播地址时，数据包中的源地址不能是一个多播地址。而且，在任何IPv6扩展路由选择包头中，多播地址不能作为源地址。</p>
<p>多播指定地址<br />
RFC 2373在多播范围内为IPv6协议操作定义和保留了几个IPv6地址。这些保留地址称为多播指定地址。表2-17给出了IPv6中的所有多播指定地址。</p>
<p><a href="https://yqfile.alicdn.com/9d5df361c1e3723868529fa1b15e981c9474ca0a.png" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tLzlkNWRmMzYxYzFlMzcyMzg2ODUyOWZhMWIxNWU5ODFjOTQ3NGNhMGEucG5n.jpg"></a></p>
<p>指定多播地址用于协议特定机制的相关情形。例如，子网上的一台路由器要发送一条消息到相同子网上的所有节点，使用多播地址FF02::1。子网上的一个节点要发送一条消息到相同子网上的所有节点，也使用相同的多播地址。在IPv6协议栈中，所有IPv6节点和路由器被设定好以识别这些多播指定地址。</p>
<p>被请求节点多播地址</p>
<p>第二种多播寻址是被请求节点多播寻址。对于节点或路由器的接口上配置的每个单播和任意播地址，都自动启用一个对应的被请求节点多播地址。被请求节点多播地址受限于本地链路。</p>
<p>被请求节点多播地址是特定类型的地址，用于两个基本的IPv6机制。</p>
<p>替代IPv4中的ARP——因为IPv6中不使用ARP，被请求节点多播地址被节点和路由器用来获得相同本地链路上邻居节点和路由器的链路层地址。和IPv4 ARP相同，获知邻居节点的链路层地址，为构造链路层帧以发送IPv6数据包所必需的。<br />
重复地址检测（DAD）——DAD是NDP的组成部分。在使用无状态自动配置将某个地址配置为自己的IPv6地址之前，节点利用DAD验证在其本地链路上该IPv6地址是否已被使用。被请求节点多播地址用来探测本地链路，以搜索已经配置在另一个节点上的特定单播或任意播地址。<br />
注：DAD和NDP在第3章详细描述。</p>
<p>如表2-18所示，被请求节点多播地址定义为首选格式的IPv6前缀FF02:0000:0000:0000: 0000:0001:FF00:0000/104和压缩表示的FF02::1:FF00:0000/104。</p>
<p><a href="https://yqfile.alicdn.com/c128db2ad46a5d91b386b0070a7f855d10f22482.png" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tL2MxMjhkYjJhZDQ2YTVkOTFiMzg2YjAwNzBhN2Y4NTVkMTBmMjI0ODIucG5n.jpg"></a></p>
<p>1 这是同一地址的中间压缩表示。地址是有效的，但应该使用IPv6地址的缩短格式。</p>
<p>被请求节点多播地址由前缀FF02::1:FF00:0000/104和单播或任意播地址的低24比特组成。如图2-16所示，单播或任意播地址的低24比特附加在前缀FF02::1:FF的后面。</p>
<p><a href="https://yqfile.alicdn.com/ad23fc6e636cb89cb21550c1df6e9ed0bb4616f3.png" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tL2FkMjNmYzZlNjM2Y2I4OWNiMjE1NTBjMWRmNmU5ZWQwYmI0NjE2ZjMucG5n.jpg"></a></p>
<p>表2-19给出了由单播地址生成的被请求节点多播地址例子。</p>
<p><a href="https://yqfile.alicdn.com/993d43c7383c6a92c9f6f769e9073f5ae0f9e791.png" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tLzk5M2Q0M2M3MzgzYzZhOTJjOWY2Zjc2OWU5MDczZjVhZTBmOWU3OTEucG5n.jpg"></a></p>
<p>6．任意播地址<br />
单播是一个源节点用来发送数据包到一个目的地（一到一）的方法，多播用于一到多通信，任意播用于一到最近点的通信。任意播是一种机制，发送数据包到任意播组最近节点成员的任意播地址。任意播使一种到最近点的发现机制成为可能。通过度量网络距离，路由选择数据包到最近目的地，网络本身在任意播中扮演了重要角色。</p>
<p>在IPv4和IPv6中都存在任意播。在IPv4中，从区域Internet注册机构（如ARIN、RIPE NCC或APNIC）获得一个可移动的IPv4空间，组织机构可以使用边界网关协议（BGP）通告其IPv4前缀到全球Internet。使用相同的自治系统号（ASN），BGP从Internet上的几个站点完成路由选择通告。在这些站点内使用一个任意播前缀的服务器能够共享相同的IP地址。全球Internet上的节点发送到这个任意播前缀的数据包，由BGP路由器路由选择到就AS路径而言的最优路径。因此，使用任意播机制，数据包被发送到最近的目的地。</p>
<p>注：第5章给出了IPv4任意播前缀在全球Internet上通告的实例。Internet有几个6到4中继，但很难找到使用它们的IPv4地址。在这种情况下，IPv4任意播前缀允许任一连接到Internet的6到4路由器自动寻找最近的6到4中继。第5章也提供了6到4机制和6到4路由器的详细信息。</p>
<p>任意播地址使用可聚合全球单播地址，也能够使用本地站点或本地链路地址。注意，要区分单播地址和任意播地址是不可能的。</p>
<p>保留的任意播地址<br />
为了特定的用途，保留一个任意播地址。如表2-20所示，该地址由子网的/64单播前缀和比特65到比特128设为0两部分组成。</p>
<p><a href="https://yqfile.alicdn.com/ff739a6adbae673c0ab7be175f616e93b6248f16.png" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tL2ZmNzM5YTZhZGJhZTY3M2MwYWI3YmUxNzVmNjE2ZTkzYjYyNDhmMTYucG5n.jpg"></a></p>
<p>该保留的任意播地址也称为子网-路由器任意播地址。所有IPv6路由器在其每个子网接口上必须支持子网-路由器任意播地址。</p>
<p>在IPv6中，只有少数几个应用使用任意播地址。移动IPv6是设计使用任意播的一个协议范例。当一个移动节点离开其家乡网络并欲发现其家乡代理的IPv6地址时，它可以使用任意播。移动节点能够向其家乡子网前缀的移动IPv6家乡代理任意播地址发送一条ICMPv6“家乡代理地址发现请求”消息，然后，移动节点等待一个家乡代理返回一条包含家乡代理列表的ICMPv6“家乡代理地址发现应答”消息。</p>
<p>但是，移动IPv6是刚推出不久的协议。大体而言，在从这种地址获得实实在在的好处之前，关于任意播仍有很多工作要做。</p>
<p>7．回环地址<br />
类似于IPv4协议，每个设备都有一个回环地址，由节点自己使用。如表2-21所示，回环地址表示为首选格式的前缀0000:0000:0000:0000:0000:0000:0000:0001和压缩格式的::1。</p>
<p><a href="https://yqfile.alicdn.com/04b1bba1422d09ec98c4656c7961e65ce99c807b.png" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tLzA0YjFiYmExNDIyZDA5ZWM5OGM0NjU2Yzc5NjFlNjVjZTk5YzgwN2IucG5n.jpg"></a></p>
<p>1 这是同一地址的中间压缩表示。地址是有效的，但应该使用IPv6地址的缩短格式。</p>
<p>8．未指定地址<br />
未指定地址是没有指定给任何接口的单播地址。这表明少了一个地址，用于特殊目的。例如，当主机从IPv6动态主机配置协议（DHCPv6）服务器请求一个IPv6地址时，或者由DAD发出一个数据包时，使用这种地址。如表2-22所示，未指定地址表示为首选格式的前缀0000:0000: 0000:0000:0000:0000:0000:0000和压缩格式的::。</p>
<p><a href="https://yqfile.alicdn.com/1d72344a8017aa3a86d58aa168c79ede4807707b.png" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tLzFkNzIzNDRhODAxN2FhM2E4NmQ1OGFhMTY4Yzc5ZWRlNDgwNzcwN2IucG5n.jpg"></a></p>
<p>1 这是同一地址的中间压缩表示。地址是有效的，但应该使用IPv6地址的缩短格式。</p>
<p>9．IPv4兼容的IPv6地址<br />
正如前面所提到的，IPv4兼容的IPv6地址是由过渡机制使用的特殊单播IPv6地址，目的是在主机和路由器上，自动创建IPv4隧道以在IPv4网络上传送IPv6数据包。</p>
<p>图2-17显示了IPv4兼容的IPv6地址的格式。前缀由高96比特设为0组成，其他32比特（低比特）以十进制形式的IPv4地址表示。</p>
<p><a href="https://yqfile.alicdn.com/c334167d9c16907214649f4f458291a1f5ff0a64.png" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tL2MzMzQxNjdkOWMxNjkwNzIxNDY0OWY0ZjQ1ODI5MWExZjVmZjBhNjQucG5n.jpg"></a></p>
<p>IPv4兼容的IPv6地址用于过渡机制，路由器和主机自动在IPv4网络上创建隧道。这种机制在两个节点之间，使用目的IPv6地址中的IPv4目的地址自动建立IPv4之上的一条IPv6-over- IPv4（建立在IPv4之上的IPv6）隧道。应用动态NAT-PT，将目的IPv4地址映射成IPv6地址。</p>
<p>注：由于倾向于使用其他更完善的过渡机制，应用IPv4兼容的IPv6地址的自动隧道过渡机制就被废除了。第5章将讲解自动隧道和动态NAT-PT。</p>
<p>如表2-23所示，IPv4兼容的IPv6地址表示为首选格式的IPv6前缀0000:0000:0000:0000: 0000:0000::/96和压缩格式的::/96。</p>
<p><a href="https://yqfile.alicdn.com/a6356fb9269ea8a5e8db66d888fd783f52447894.png" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tL2E2MzU2ZmI5MjY5ZWE4YTVlOGRiNjZkODg4ZmQ3ODNmNTI0NDc4OTQucG5n.jpg"></a></p>
<p>1 这是同一地址的中间压缩表示。地址是有效的，但应该使用IPv6地址的缩短格式。</p>
<p>10．必需的IPv6地址<br />
如本章前面讨论过的，IPv6节点和路由器同时有数个IPv6地址。但是，这些IPv6地址用于不同情景之中。IPv6的128比特地址空间使协议设计高效利用地址成为可能。因此，正如RFC 2373所描述的，节点和路由器必须支持数个IPv6地址。</p>
<p>节点必需的IPv6地址</p>
<p>表2-24列出了在IPv6中节点必需的IPv6地址。一旦节点启用了IPv6协议支持，节点的每个接口就有一个本地链路地址、一个回环地址以及所有节点多播地址FF01::1和FF02::1。同样，节点可以有一到多个分配的可聚合全球单播地址和相应的被请求节点多播地址。如果节点是另一个多播组的成员，它可以有其他的多播地址。</p>
<p><a href="https://yqfile.alicdn.com/9a2668eb7d1ee5ec26acecc71b66ee5273ad79fa.png" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tLzlhMjY2OGViN2QxZWU1ZWMyNmFjZWNjNzFiNjZlZTUyNzNhZDc5ZmEucG5n.jpg"></a></p>
<p>表2-25给出了IPv6中路由器必需的IPv6地址。基本而言，路由器有节点必需的所有IPv6地址。进而，路由器有所有路由器多播地址FF01::2、FF02::2和FF05::2。一个子网路由器任意播地址和其他的任意播配置地址是路由器的必需地址。</p>
<p><a href="https://yqfile.alicdn.com/4957eaa839502088ba23d0fa396a7ba7dcbff324.png" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tLzQ5NTdlYWE4Mzk1MDIwODhiYTIzZDBmYTM5NmE3YmE3ZGNiZmYzMjQucG5n.jpg"></a></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-29 04:07:44</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/https/" title="HTTPS">HTTPS</a>, <a href="https://www.iamivan.net/tag/%e8%b7%af%e7%94%b1%e5%99%a8/" title="路由器">路由器</a>, <a href="https://www.iamivan.net/tag/image/" title="image">image</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>《Cisco IPv6网络实现技术（修订版）》一2.2　寻址的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MN7WqJp.html" rel="bookmark">《Cisco IPv6网络实现技术（修订版）》一2&period;6　配置练习：使用Cisco路由器配置一个IPv6网络</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				2.6 配置练习:使用Cisco路由器配置一个IPv6网络 Cisco IPv6网络实现技术(修订版) 完成下面的练习,在一个网络上配置IPv6,从而达到实际应用本章中学到的技能的目的. 注:配置练习允许您使用本章讲到的命令,通过在一台Cisco路由器上配置IPv6,实际应用您的技能和学到的知识.在下面的练习中,只有一台配备多个快速以太网接口的路由器,它为一个网络上的节点提供IPv6连接.本练习的前提是:您有一点使用命令行接口(CLI)的经验,并能够从Cisco站点下载新的Cisco IOS软件			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bodqddM.html" rel="bookmark">《Cisco IPv6网络实现技术（修订版）》一第2章　IPv6编址2&period;1　IP包头</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				第2章 IPv6编址 Cisco IPv6网络实现技术(修订版) &quot;电话有太多的缺陷,因此不应当作为一种通信工具.这个设备对我们没用.&quot; 西部联盟内部备忘录,1876 第2章 IPv6编址 读完本章,您将能够描述新的IPv6包头格式以及IPv6对用户数据报协议(UDP).传输控制协议(TCP)的数据报和最大传送单元(MTU)的影响.您还将理解IPv6编址结构和协议中所包含的各种IPv6地址.这些地址包括本地链路.本地站点.可聚合全球单播.回环.未指定.IPv4兼容.多播指定.请求点多播			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bjwqaZM.html" rel="bookmark">《Cisco IPv6网络实现技术（修订版）》一2&period;3　IPv6的寻址结构</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				2.3 IPv6的寻址结构 Cisco IPv6网络实现技术(修订版) 因为具有128比特地址模式,所以IPv6拥有巨大的地址空间.正如本章前面所讨论的,该地址空间的几个部分用于协议本身的功能,如本地链路.本地站点.多播地址.多播指定地址.被请求节点多播地址.回环.未指定和IPv4兼容的IPv6地址.虽然128比特地址的几个部分已被使用,但是为这些功能保留的仅仅是整个空间的一小部分(小于2%). 表2-26给出了已分配空间与IPv6整个寻址空间对比的情形.第一栏的二进制格式前缀表示每个分配空间的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQjRN0M.html" rel="bookmark">《Cisco IPv6网络实现技术（修订版）》一2&period;5　小结</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				2.5 小结 Cisco IPv6网络实现技术(修订版) 本章讲述了新的IPv6包头格式和IPv6对用户数据报协议(UDP).传输控制协议(TCP)及最大传送单元(MTU)的影响.还讲到了IPv6的寻址结构,包括各种不同的IPv6地址,如本地链路.本地站点.可聚合全球单播.回环.未指定.IPv4兼容.多播指定.被请求节点多播和任意播等.本章也涵盖了以太网上的IPv6.以太网上的多播映射和EUI-64格式. 本章讲述了如何使用IPv6配置和操作Cisco路由器,包括了一些在路由器上启用IPv6和在			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z7xnYKb.html" rel="bookmark">《Cisco IPv6网络实现技术（修订版）》一1&period;7　IPv6的特点</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.7 IPv6的特点 Cisco IPv6网络实现技术(修订版) 在概述了与IPv4协议相关的主要问题后,你应该明白IPv6解决了所有这些问题,并提供了新的好处.下面是主要的改进. 128比特地址方案,为将来数十年提供了足够的IP地址. 巨大的地址空间为数十亿新设备,如PDA.蜂窝设备和802.11系统,提供了全球唯一地址. 多等级层次有助于路由聚合,提高了路由选择到Internet的效率和可扩展性. 使具有严格路由聚合的多点接入成为可能. 自动配置过程允许IPv6网络中的节点配置它们自己的I			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M0nXQJz.html" rel="bookmark">《Cisco IPv6网络实现技术（修订版）》一2&period;7　复习题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				2.7 复习题 Cisco IPv6网络实现技术(修订版) 回答下列问题,然后参见附录B中的答案. 1．对于下表中的每个字段,给出字段长度并指出是在IPv4包头中还是在IPv6包头中使用该字段. 2．列出从IPv4包头中去掉的字段. 3．在IPv6包头中新添了哪个字段? 4．描述IPv6包头中下一个包头字段的用途. 5．列出可能在基本IPv6包头后面出现的扩展包头,并按必须出现的顺序进行排列. 6．在IPv6上使用UDP时,什么是必需的? 7．在IPv6中为了避免分段,建议节点使用什么机制? 8			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zDn3WOM.html" rel="bookmark">《Cisco IPv6网络实现技术（修订版）》一导读</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前 言 Cisco IPv6网络实现技术(修订版) IPv6在1992年由IETF推出.与IPv4地址空间匮乏相比,IPv6在今天看来将成为基本的.容易安装的解决方案.由于其设计基于IPv4协议过去20年的经验,IPv6的效率较IPv4有显著的提高. 对于IPv6,我们不得不改变思维方式,因为IPv6协议不仅仅是为网络(如当前的IPv4 Internet)上的计算机而设计的.IPv6应用于所有的通信设备,如蜂窝设备.无线设备.电话.个人数字助理.电视.广播设备等,而不只限于计算机. IPv6 的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MAk7WKz.html" rel="bookmark">《Cisco IPv6网络实现技术（修订版）》一1&period;4　IPv6的历史</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.4 IPv6的历史 Cisco IPv6网络实现技术(修订版) IP地址空间耗尽的演示导致这样一个共识:有足够的时间设计.实施和测试一个功能增强的新协议,而不是部署一个仅仅增加较大地址的新协议.这带来了一个修正IPv4编址方案相关的限制和开发一个确保Internet未来几十年可靠发展的协议的机会.这个过程考虑到了来自各行业的要求,包括线缆和无线行业.电力事业.军方.企业网络.Internet服务提供商(ISP)和其他有关方面. 在1993年发布了提案征求(RFC 1550).以下3个提案被详			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MqgDRaz.html" rel="bookmark">《Cisco IPv6网络实现技术（修订版）》一2&period;8　参考文献</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				2.8 参考文献 Cisco IPv6网络实现技术(修订版)1．RFC 768, User Datagram Protocol, J. Postel, IETF, www.ietf.org/rfc/|rfc768.txt,August1980 2．RFC 791, Internet Protocol, DARPA Internet Program, Protocol Specification, USC, IETF, www.ietf.org/rfc/rfc791.txt,September19			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Vzwjkvp.html" rel="bookmark" class="title">JavaScript小技巧制作的跑马灯效果</a>
					<div>
						javascript|技巧 以下是我们所制作的跑马灯效果的源程序 &lt;html&gt; &lt;head&gt; &lt;script language=&quot;JavaScript&quot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vMN3K7p.html" rel="bookmark" class="title">MINFO－印度铁矿资源矿物信息原型数据库</a>
					<div>
						数据|数据库 MINFO-印度铁矿资源矿物信息原型数据库    MINFO--a protype mineral information database for iron  ore    resou ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OM9GQRz.html" rel="bookmark" class="title">修改oracle的数据文件</a>
					<div>
						oracle|数据 修改数据文件   重要提示: 调整的工作前一定要对数据进行备份,切记 1,基本概念 oracle系统内部给出一个叫作&quot;表空间&quot;的逻辑磁盘空间.早期的系统主要用于 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/YbKW9nb.html" rel="bookmark" class="title">升级到Windows 7系统的十大理由：开机只需10秒</a>
					<div>
						Windows 7正在离我们越来越近,那么,我们是否应该及时升级呢?美国科技博客Silicon Alley Insider作者普瑞茜·杜姆帕拉(Preethi Dumpala)近日撰文称,PC用户有十 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pm7nGDb.html" rel="bookmark" class="title">&period;Net Discovery系列之三 深入理解&period;Net垃圾收集机制&lpar;上&rpar;</a>
					<div>
						前言: 组成.Net平台一个很重要的部分----垃圾收集器(Garbage Collection),今天我们就来讲讲它.想想看没有GC,.Net还能称之为一个平台吗?各种语言虽然都被编译成MSIL,但 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MY2YOrp.html" rel="bookmark" class="title">IE不能设置主页怎么办？</a>
					<div>
						IE不能设置主页怎么办?在正常情况下,IE首页的修改可以通过IE工具栏里的&quot;工具&quot;-&quot;Internet选项&quot;-&quot;常规&quot;-&quot;主页&q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bElq6Zz.html" rel="bookmark" class="title">DIV垂直居中的办法</a>
					<div>
						  经过今天一翻改进,终于找出了解决DIV垂直居中的办法.  &lt;!DOCTYPE html PUBLIC &quot;-//W3C//DTD XHTML 1.0 Transitional//EN ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvGRj8p.html" rel="bookmark" class="title">Win 8详解全新的系统登录密码</a>
					<div>
						PIN码创建: Windows 8中的PIN码由四个数字组成,在&quot;电脑设置&quot;中进行创建.当我们打开设置后,点击更改电脑设置选择用户选项,在其中就会有PIN码的加密设置,点击创建PI ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXj22Lb.html" rel="bookmark" class="title">如何使用win8电脑中的步骤记录器</a>
					<div>
						  随着电脑的普及,现在有不少的妈妈爸爸.甚至是外公外婆开始也对电脑有所接触了,但是相对年轻人来说,他们要接收电脑知识就远远没有想象中的那么简单,很多时候,可能都会遇到一些操作上的问题.而不动如何搜索 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrWWd6p.html" rel="bookmark" class="title">alarm-在闹钟响起时从pending intent获取requestCode</a>
					<div>
						问题描述 在闹钟响起时从pending intent获取requestCode 当闹钟响起时,如何从 Receiver 类或者 Activity 类的 pending intent 中获取 reque ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boRnJvz.html" rel="bookmark" class="title">javascript-html视频播放进度条上如何加入点号，并且鼠标移动到点号上显示关键帧图片</a>
					<div>
						问题描述 html视频播放进度条上如何加入点号,并且鼠标移动到点号上显示关键帧图片 问题是这样的:最近正在做html进行视频处理,想在html视频播放进度条上加入点号,并且鼠标移动到点号上显示关键帧图 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPP30Zp.html" rel="bookmark" class="title">iphone-NSPredicate搜索NSString中的数字</a>
					<div>
						问题描述 NSPredicate搜索NSString中的数字 用NSPredicate在NSString中查询数字: NSString *test = @&quot;[0-9]&quot;; NSSt ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1r128p.html" rel="bookmark" class="title">HubbleDotNet 和 Lucene&period;Net 匹配相关度的比较</a>
					<div>
						很多网友在使用 Lucene.net (Lucene java 版本也是一样)后会感觉Lucene.net 的匹配相关度存在问题,搜索得到的结果往往不是希望的结果,不完全匹配的记录往往比完全匹配的记录 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6Z6YJM.html" rel="bookmark" class="title">韩国国内最大的游戏外挂制作公司被警方查处</a>
					<div>
						日前,韩国国内最大的游戏外挂制作公司被警方查处. 5月26日,韩国釜山警察厅网络监察大队以涉嫌开发外挂(侵犯著作权)为由,对A公司CEO赵某(26岁)等3人进行了立案.同时,警方还对涉嫌从A公司购买外 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zV0BK4M.html" rel="bookmark" class="title">Shiro 教程</a>
					<div>
						Shiro是apache提供的强大而灵活的开源安全框架,它主要用来处理身份认证,授权,企业会话管理和加密. shiro功能:用户验证.用户执行访问权限控制.在任何环境下使用session API,如c ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bodRygM.html" rel="bookmark" class="title">WinForm中的TreeView的使用</a>
					<div>
						问题描述 使用TreeView,数据库中的数据怎么设计?请高手指点........ 解决方案 解决方案二:只需要有一列ID和一列ParentID就能对应上关系了.解决方案三:然后递归生成解决方案四:跟 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJq2Dqp.html" rel="bookmark" class="title">互联网信息服务商以及网民如何执行&OpenCurlyDoubleQuote;网络实名制&rdquo;新规？</a>
					<div>
						新华网杭州5月19日电(&quot;新华视点&quot;记者 裘立华.岳德亮)杭州市人大常委会审议通过的&lt;杭州市计算机信息网络安全保护管理条例&gt;规定:从今年5月1日起,发帖.写博.网游要提 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0n4Y6z.html" rel="bookmark" class="title">&OpenCurlyDoubleQuote;WM云建站&rdquo;系列视频课程--如何在弹性web上搭建discuz和wordpress站点</a>
					<div>
						大家好,我是阿里云论坛的51干警网. WM云建站站长 .今天我们还是使用弹性web搭建常用的程序.视频建议全屏观看~ 一.绑定域名 通过弹性web备案域名. 注意事项:域名必须备案,并且没有解析到其他 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7xrNdb.html" rel="bookmark" class="title">通过增加代码覆盖率提高单元测试的质量</a>
					<div>
						简介: 许多敏捷软件开发团队都面临的一个挑战是,确保其单元测试包含大部分代码.这在确保他们创建尽可能少的缺陷并且代码可重构时非常重要.因此,重要的度量指标(除了通过的所有测试之外)之一是已包含的代码数 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnR27Ap.html" rel="bookmark" class="title">数据中心运维需要的三大认证</a>
					<div>
						数据中心的好与差需要有个衡量的标准,这可不是靠&quot;老王卖瓜自卖自夸&quot;就可以了.所以随着数据中心行业发展的成熟,出现了一些第三方的数据中心认证标准,这些标准按照自己的评价标准对世界各地 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxE8Pmp.html" rel="bookmark" class="title">MySQL安全性指南&lpar;3&rpar;（转）&lowbar;oracle</a>
					<div>
						正在看的ORACLE教程是:MySQL安全性指南(3)(转). MySQL安全性指南(3)     作 者: 晏子 2.4 不用GRANT设置用户如果你有一个早于3.22.11的MySQL版本,你不能 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3YJrAp.html" rel="bookmark" class="title">轻应用的自媒体创业机会</a>
					<div>
						轻应用这个名称,比其初始名称webapp好多了,简单.直接,一语中的,很形象地描述出webapp的基本特征.之前在研究阶段时,真正明白webapp到底为何物的人,仅局限于专业从业者.在百度进行大规模进 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8Gxe3M.html" rel="bookmark" class="title">OpenDaylight用例之网络资源优化用例</a>
					<div>
						移动计算,流媒体和基于云的服务带来了网络流量的极大增长,这给网络基础设施带来了很大的挑战.仅仅依靠增加硬件设备和管理团队已经无法解决这个问题,企业和服务提供商迫于投资者的压力,需要以较少的投入做更多的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLBRm0b.html" rel="bookmark" class="title">数组的创建问题</a>
					<div>
						问题描述 一种是arraylistaa=newarraylist();另一种是:int32bb=newint32[5];两者的区别是什么啊,还有就是int32[5]中的5可以去掉吗,我知道5是大小,可 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVd474M.html" rel="bookmark" class="title">零才：网站定位做好领域细分和区域细分</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 在互联网行业中,每天都会涌现出大量 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyKNGZz.html" rel="bookmark" class="title">腾讯加码布局免费Wi-Fi 搭建安全Wi-Fi开放平台</a>
					<div>
						网易科技讯 9月17日,国内首个安全Wi-Fi联盟在北京宣告成立.由腾讯安全携手国内商用Wi-Fi服务提供商以及星巴克.万达广场.华联商厦.眉州东坡等商家成立的&quot;腾讯安全Wi-Fi联盟&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBGZBNM.html" rel="bookmark" class="title">9月搜索网站日均覆盖数十强：百度夺冠 搜搜居亚</a>
					<div>
						域名城(domain.cn)10月24日消息,据国际统计机构Alexa公布的最新数据显示,在9月综合http://www.aliyun.com/zixun/aggregation/13095.html ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyvK7kp.html" rel="bookmark" class="title">Javascript下str&period;replace进行变量替换</a>
					<div>
						  在实际前端开发中,我们使用replace进行字符串的替换,如: var str = '1231'; str.replace('1','a'); //'a231'  如果想要替换字符串中所有的某个字 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXN1d4b.html" rel="bookmark" class="title">malloc-关于返回数组指针的函数</a>
					<div>
						问题描述 关于返回数组指针的函数 函数的代码如下: int *cal(int *a,int num) { int digit=sizeof(a)/sizeof(int); int *result=a; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWKaZGM.html" rel="bookmark" class="title">一种基于WCF的遥感数据验证系统的设计与实现</a>
					<div>
						一种基于WCF的遥感数据验证系统的设计与实现 李军 曹志伟 韩道军 遥感数据验证影响到遥感反演应用中的方法及功能的设计,是遥感数据处理的一个重要环节.现有遥感数据验证功能主要在单机环境下运行,不能很好 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 12 q. 0.042 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
